## PhoshLocationManager

PhoshLocationManager — Provides the org.freedesktop.GeoClue2.Agent DBus interface

## Functions

PhoshLocationManager * | phosh_location_manager_new ()

## Properties

gboolean | active | Read
gboolean | enabled | Read / Write

## Types and Values

#define | PHOSH_TYPE_LOCATION_MANAGER
| PhoshLocationManager

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── PhoshGeoClueDBusOrgFreedesktopGeoClue2AgentSkeleton
                ╰── PhoshLocationManager

## Implemented Interfaces

PhoshLocationManager implements GDBusInterface and PhoshGeoClueDBusOrgFreedesktopGeoClue2Agent.

## Description

The PhoshLocationManager provides the agent interface and authorizes clients based on the org.gnome.system.location 'enabled' gsetting. Note the phosh needs to be enabled as agent in geoclue's config.

## Functions

### phosh_location_manager_new ()

    PhoshLocationManager *
    phosh_location_manager_new (void);

## Types and Values

### PHOSH_TYPE_LOCATION_MANAGER

    #define PHOSH_TYPE_LOCATION_MANAGER     (phosh_location_manager_get_type ())

### PhoshLocationManager

    typedef struct _PhoshLocationManager PhoshLocationManager;

## Property Details

### The `“active”` property

      “active”                   gboolean

Whether location services are currently active.

Owner: PhoshLocationManager

Flags: Read

Default value: FALSE

### The `“enabled”` property

      “enabled”                  gboolean

Whether location services are enabled.

Owner: PhoshLocationManager

Flags: Read / Write

Default value: FALSE